summaryrefslogtreecommitdiffstats
path: root/tests/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/run.sh')
-rwxr-xr-xtests/run.sh80
1 files changed, 2 insertions, 78 deletions
diff --git a/tests/run.sh b/tests/run.sh
index f1087baf..eefa79b2 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -26,18 +26,12 @@ DOCTOR_PROJECT=doctor
#TODO: change back to `_member_` when JIRA DOCTOR-55 is done
DOCTOR_ROLE=admin
-SUPPORTED_INSPECTOR_TYPES="sample congress"
-INSPECTOR_TYPE=${INSPECTOR_TYPE:-sample}
TOP_DIR=$(cd $(dirname "$0") && pwd)
ssh_opts="-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
as_doctor_user="--os-username $DOCTOR_USER --os-password $DOCTOR_PW
--os-tenant-name $DOCTOR_PROJECT"
-if [[ ! "$SUPPORTED_INSPECTOR_TYPES" =~ "$INSPECTOR_TYPE" ]] ; then
- echo "ERROR: INSPECTOR_TYPE=$INSPECTOR_TYPE is not supported."
- exit 1
-fi
get_compute_host_info() {
# get computer host info which VM boot in
@@ -166,78 +160,6 @@ stop_monitor() {
sudo kill $(pgrep -f "python monitor.py")
}
-congress_add_rule() {
- name=$1
- policy=$2
- rule=$3
-
- if ! openstack congress policy rule list $policy | grep -q -e "// Name: $name$" ; then
- openstack congress policy rule create --name $name $policy "$rule"
- fi
-}
-
-congress_del_rule() {
- name=$1
- policy=$2
-
- if openstack congress policy rule list $policy | grep -q -e "^// Name: $name$" ; then
- openstack congress policy rule delete $policy $name
- fi
-}
-
-congress_setup_rules() {
- congress_add_rule host_down classification \
- 'host_down(host) :-
- doctor:events(hostname=host, type="compute.host.down", status="down")'
-
- congress_add_rule active_instance_in_host classification \
- 'active_instance_in_host(vmid, host) :-
- nova:servers(id=vmid, host_name=host, status="ACTIVE")'
-
- congress_add_rule host_force_down classification \
- 'execute[nova:services.force_down(host, "nova-compute", "True")] :-
- host_down(host)'
-
- congress_add_rule error_vm_states classification \
- 'execute[nova:servers.reset_state(vmid, "error")] :-
- host_down(host),
- active_instance_in_host(vmid, host)'
-}
-
-start_inspector() {
- if [[ "$INSPECTOR_TYPE" == "sample" ]] ; then
- pgrep -f "python inspector.py" && return 0
- python inspector.py "$INSPECTOR_PORT" > inspector.log 2>&1 &
- elif [[ "$INSPECTOR_TYPE" == "congress" ]] ; then
- nova_api_min_version="2.11"
- nova_api_version=$(openstack congress datasource list | \
- grep nova | grep -Po "(?<='api_version': ')[^']*")
- if ! is_set nova_api_version; then
- nova_api_version="2.0"
- fi
- if [[ "$nova_api_version" < "$nova_api_min_version" ]]; then
- die $LINENO "Congress Nova datasource API version < $nova_api_min_version ($nova_api_version)"
- fi
- openstack congress driver list | grep -q " doctor "
- openstack congress datasource list | grep -q " doctor " || {
- openstack congress datasource create doctor doctor
- }
- congress_setup_rules
- fi
-}
-
-stop_inspector() {
- if [[ "$INSPECTOR_TYPE" == "sample" ]] ; then
- pgrep -f "python inspector.py" || return 0
- kill $(pgrep -f "python inspector.py")
- elif [[ "$INSPECTOR_TYPE" == "congress" ]] ; then
- congress_del_rule host_force_down classification
- congress_del_rule error_vm_states classification
- congress_del_rule active_instance_in_host classification
- congress_del_rule host_down classification
- fi
-}
-
start_consumer() {
pgrep -f "python consumer.py" && return 0
python consumer.py "$CONSUMER_PORT" > consumer.log 2>&1 &
@@ -380,6 +302,7 @@ cleanup() {
openstack user delete "$DOCTOR_USER"
cleanup_installer
+ cleanup_inspector
}
@@ -389,6 +312,7 @@ trap cleanup EXIT
source $TOP_DIR/functions-common
source $TOP_DIR/lib/installer
+source $TOP_DIR/lib/inspector
setup_installer